<?php
class Normal_SourceX extends netsControl {
	public function Normal_SourceX(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		$tmpIntroduct='';
		if(strlen($pColumn['stcoctUiIntroduct'])>0 && $pColumn['stcoctUiIntroduct']!='&nbsp;'){
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="ControlIntroduct">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}else{
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="DHidden">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}
		//-- #Parameter --
		//#0.Non,1.Open
		$tmpParameters=array(
			'Type'=>'Source',
			'RootPath'=>$this->sysFileConfig['PathRoot'].'Uploadfiles',
			'Detached'=>1,
			'Power_R'=>'1;123',
			'Power_W'=>'1;123',
			'Power_D'=>'1;123',
			);
		//-- #Parameter --
		$tmpApp_Code=new netsCode();
		$tmpPage=$this->sysFileConfig['sysCoreRoot'].'Component/Nets/netsFileX/netssysfiles.php';
		$tmpParameter='&DParameter='.
			$tmpApp_Code->URL_MakeParameter($tmpControl,1).$this->sysSPLIT1.
			$tmpApp_Code->URL_MakeParameter('',1).$this->sysSPLIT1.
			$tmpApp_Code->URL_MakeParameter('',1);
		
		$tmpData_Tab=array(
			array('已选图片',$tmpPage.'?ActionType=Single_Show'.$tmpParameter,),
			array('上传',$tmpPage.'?ActionType=Single_Flash'.$tmpParameter,),
			array('普通上传',$tmpPage.'?ActionType=Single_Normal'.$tmpParameter,),
			array('网络地址',$tmpPage.'?ActionType=Single_Url'.$tmpParameter,),
			array('摄像',$tmpPage.'?ActionType=Single_Camera'.$tmpParameter,),
			array('手工编辑',$tmpPage.'?ActionType=Single_Edit'.$tmpParameter,),
			array('文件管理',$tmpPage.'?ActionType=Manage'.$tmpParameter,),
			);

?>
<!-- #<?php echo ($tmpControl); ?> -->
<?php if ($pColumn['stcoctSingleLine']==0) { ?><tr id="<?php echo($tmpControl); ?>_RowBox" class="<?php echo ($pColumn['LineStyle']); ?>"><?php } ?>
<td id="<?php echo ($tmpControl); ?>_Label" class="PanelTitle"><?php echo ($pColumn['stcoctUiName']); ?>：</td>
<td id="<?php echo ($tmpControl); ?>PanelBox" class="PanelBox <?php if ($pColumn['stcoctSingleLine']==1) { ?>PanelMultiColumn<?php } ?>" <?php if ($pColumn['stcoctSingleLine']==0 && $pColumn['stcoctColspan']>1) { ?>colspan="<?php echo($pColumn['stcoctColspan']); ?>"<?php } ?>>
<!--S.<?php echo ($tmpControl); ?>-->
<!-- #Tabs -->
<ul class="SourceX_Tab_1">
<?php
$Coun0=0;
foreach($tmpData_Tab as $Row0){ ?>
<li id="<?php echo($tmpControl); ?>_Tab_<?php echo($Coun0); ?>" onclick="tmp<?php echo($tmpControl); ?>.OnTabChange(<?php echo($Coun0); ?>);" class="SourceX_Tab_3"><a href="#Here" class="Link1"><?php echo($Row0[0]); ?></a></li>
<?php $Coun0++; } ?>
<li class="SourceX_Tab_10">NETS.FILE V2</li>
<li class="DClear"></li></ul>
<!-- #Content -->
<div class="SourceX_Content_1"><iframe id="<?php echo($tmpControl); ?>_Frame" name="<?php echo($tmpControl); ?>_Frame" src="" class="SourceX_Content_2" frameborder="0"></iframe></div>
<!-- ### -->
<br />
<input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" value="<?php echo ($pColumn['Value']); ?>" type="text" />
<!-- #Script -->
<script type="text/javascript">
var tmp<?php echo($tmpControl); ?>=new SourceX();
tmp<?php echo($tmpControl); ?>.sName="<?php echo($tmpControl); ?>";
tmp<?php echo($tmpControl); ?>.sTabCount=<?php echo(count($tmpData_Tab)); ?>;
tmp<?php echo($tmpControl); ?>.sTabLink=new Array();
<?php
$Coun0=0;
foreach($tmpData_Tab as $Row0){ ?>
tmp<?php echo($tmpControl); ?>.sTabLink[<?php echo($Coun0); ?>]="<?php echo($Row0[1]); ?>";
<?php $Coun0++; } ?>


tmp<?php echo($tmpControl); ?>.OnTabChange(0);
</script>

<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td>
<td id="<?php echo ($tmpControl); ?>_ImgIntroduct" class="PanelImgIntroduct">
<?php if(strlen($pColumn['stcoctUiImgIntroduct'])>0 && $pColumn['stcoctUiImgIntroduct']!='&nbsp;'){ ?>
<a href="#Here"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_4.jpg" title="<?php echo($pColumn['stcoctUiImgIntroduct']); ?>" /></a>
<?php }else{ ?>&nbsp;<?php } ?></td><?php if ($pColumn['stcoctSingleLine']==0) { ?></tr><?php } ?>
<?php
	}
}
?>